Notification handlers

List Notification Handler Events

Get all notification handler events by notification handler id.

GET
/nudge/projects/{projectId}/notification-handlers/{notificationHandlerId}/events

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

projectId*string
notificationHandlerId*string

Query Parameters

page*string
Default"1"
Match^[0-9]+$
size*string
Default"25"
Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/projects/string/notification-handlers/string/events?page=1&size=25"
{
  "status": "success",
  "message": "string",
  "data": [
    {
      "id": "string",
      "organizationId": "string",
      "notificationHandlerId": "string",
      "idempotencyKey": "string",
      "overrideOptions": {
        "recipients": [
          {
            "emailId": "string",
            "phoneNumber": "string",
            "iosDeviceTokens": [
              "string"
            ],
            "androidDeviceTokens": [
              "string"
            ],
            "uniqueCustomerId": "string"
          }
        ],
        "templateData": {},
        "enabledOnlyChannels": [
          "in_app"
        ],
        "metadata": {
          "eventName": "string",
          "tags": [
            "string"
          ],
          "utm": {
            "source": "string",
            "medium": "string",
            "campaign": "string",
            "term": "string"
          },
          "traceId": "string"
        },
        "channelOverrides": {
          "email": {
            "from": "string",
            "senderName": "string",
            "replyTo": "string",
            "bcc": [
              "string"
            ],
            "providerOptions": {}
          },
          "sms": {
            "from": "string",
            "providerOptions": {}
          }
        }
      },
      "handlerExecutionSnapshot": {
        "id": "string",
        "handlerId": "string",
        "name": "string",
        "notificationTypeKind": "TRANSACTIONAL",
        "customerPreference": {
          "type": "topic",
          "group": {
            "id": "string",
            "channels": [
              "in_app"
            ]
          },
          "topic": {
            "id": "string",
            "channels": [
              "in_app"
            ]
          }
        },
        "channels": [
          {
            "id": "string",
            "channelType": "in_app",
            "isUserPreferenceRequired": true
          }
        ],
        "recipientCriteria": {
          "sourceType": "payload_based",
          "cohortSegmentId": "string",
          "targetAudienceListId": "string",
          "isOverrideApplied": true
        }
      },
      "snapshotVersion": 0,
      "notificationHandlerEventStatus": "pending",
      "mode": "live",
      "createdDate": "string",
      "modifiedDate": "string",
      "isActive": true,
      "isDeleted": true,
      "notificationHandler": {
        "id": "string",
        "name": "string",
        "description": "string"
      },
      "notificationHandlerEventExecution": {
        "id": "string",
        "handlerEventId": "string",
        "organizationId": "string",
        "projectId": "string",
        "status": "string",
        "executionSummary": null,
        "lastErrorClass": "string",
        "lastErrorCode": "string",
        "lastErrorMessage": "string",
        "startedAt": "string",
        "completedAt": "string"
      }
    }
  ],
  "metaData": {
    "page": 0,
    "hasMore": true,
    "pageSize": 0,
    "count": 0
  },
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}